Package org.opensaml.xmlsec.signature.impl

# Class DSAKeyValueImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.impl.DSAKeyValueImpl

All Implemented Interfaces:
  `XMLObject`, `DSAKeyValue`

public class DSAKeyValueImpl extends AbstractXMLObject implements DSAKeyValue
Concrete implementation of `DSAKeyValue`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private G`
`g`
G child element.
`private J`
`j`
J child element.
`private P`
`p`
P child element.
`private PgenCounter`
`pgenCounter`
PgenCounter child element.
`private Q`
`q`
Q child element.
`private Seed`
`seed`
Seed child element.
`private Y`
`y`
Y child element.

### Fields inherited from interface org.opensaml.xmlsec.signature.DSAKeyValue

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DSAKeyValueImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`G`
`getG()`
Get the G child element.
`J`
`getJ()`
Get the J child element.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`P`
`getP()`
Get the P child element.
`PgenCounter`
`getPgenCounter()`
Get the PgenCounter element.
`Q`
`getQ()`
Get the Q child element.
`Seed`
`getSeed()`
Get the Seed element.
`Y`
`getY()`
Get the Y child element.
`void`
`setG(G newG)`
Set the G child element.
`void`
`setJ(J newJ)`
Set the J child element.
`void`
`setP(P newP)`
Set the P child element.
`void`
`setPgenCounter(PgenCounter newPgenCounter)`
Set the PgenCounter element.
`void`
`setQ(Q newQ)`
Set the Q child element.
`void`
`setSeed(Seed newSeed)`
Set the Seed element.
`void`
`setY(Y newY)`
Set the Y child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### p

@Nullable private P p
P child element.

### q

@Nullable private Q q
Q child element.

### g

@Nullable private G g
G child element.

### y

@Nullable private Y y
Y child element.

### j

@Nullable private J j
J child element.

### seed

@Nullable private Seed seed
Seed child element.

### pgenCounter

@Nullable private PgenCounter pgenCounter
PgenCounter child element.

## Constructor Details

### DSAKeyValueImpl

protected DSAKeyValueImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getP

@Nullable public P getP()
Get the P child element.

Specified by:
  `getP` in interface `DSAKeyValue`
Returns:
  the P child element

### setP

public void setP(@Nullable P newP)
Set the P child element.

Specified by:
  `setP` in interface `DSAKeyValue`
Parameters:
  `newP` - the new P child element

### getQ

@Nullable public Q getQ()
Get the Q child element.

Specified by:
  `getQ` in interface `DSAKeyValue`
Returns:
  the Q child element

### setQ

public void setQ(@Nullable Q newQ)
Set the Q child element.

Specified by:
  `setQ` in interface `DSAKeyValue`
Parameters:
  `newQ` - the new Q child element

### getG

@Nullable public G getG()
Get the G child element.

Specified by:
  `getG` in interface `DSAKeyValue`
Returns:
  the G child element

### setG

public void setG(@Nullable G newG)
Set the G child element.

Specified by:
  `setG` in interface `DSAKeyValue`
Parameters:
  `newG` - the new G child element

### getY

@Nullable public Y getY()
Get the Y child element.

Specified by:
  `getY` in interface `DSAKeyValue`
Returns:
  the Y child element

### setY

public void setY(@Nullable Y newY)
Set the Y child element.

Specified by:
  `setY` in interface `DSAKeyValue`
Parameters:
  `newY` - the new Y child element

### getJ

@Nullable public J getJ()
Get the J child element.

Specified by:
  `getJ` in interface `DSAKeyValue`
Returns:
  the J child element

### setJ

public void setJ(@Nullable J newJ)
Set the J child element.

Specified by:
  `setJ` in interface `DSAKeyValue`
Parameters:
  `newJ` - the new J child element

### getSeed

@Nullable public Seed getSeed()
Get the Seed element.

Specified by:
  `getSeed` in interface `DSAKeyValue`
Returns:
  the Seed element

### setSeed

public void setSeed(@Nullable Seed newSeed)
Set the Seed element.

Specified by:
  `setSeed` in interface `DSAKeyValue`
Parameters:
  `newSeed` - new Seed element

### getPgenCounter

@Nullable public PgenCounter getPgenCounter()
Get the PgenCounter element.

Specified by:
  `getPgenCounter` in interface `DSAKeyValue`
Returns:
  the PgenCounter element

### setPgenCounter

public void setPgenCounter(@Nullable PgenCounter newPgenCounter)
Set the PgenCounter element.

Specified by:
  `setPgenCounter` in interface `DSAKeyValue`
Parameters:
  `newPgenCounter` - new PgenCounter element

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements